Page MenuHomePhabricator

pear/Mail licensing is inconsistent and unclear
Closed, ResolvedPublic

Description

Filed upstream at https://pear.php.net/bugs/bug.php?id=21082, just here for tracking purposes.

Event Timeline

Legoktm created this task.Jun 16 2016, 7:44 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 16 2016, 7:44 AM
Reedy added a subscriber: Reedy.Apr 4 2017, 11:23 PM

Seems a PR was made, and approved... But not merged?

https://github.com/pear/Mail/pull/9

Reedy changed the task status from Open to Stalled.Apr 4 2017, 11:23 PM
Reedy triaged this task as Low priority.
Reedy moved this task from Backlog to Needs review on the MediaWiki-Vendor board.Apr 11 2017, 6:41 PM

Change 347665 had a related patch set uploaded (by Reedy):
[mediawiki/vendor@master] Update pear/mail from v1.3.0 to v1.4.1

https://gerrit.wikimedia.org/r/347665

Aklapper changed the task status from Stalled to Open.May 12 2017, 12:48 PM
Aklapper moved this task from Backlog to Patch merged upstream on the Upstream board.

Not externally stalled anymore as https://github.com/pear/Mail/commit/4d46096da79424de197a47cc04134c9c86d6879f got merged and 1.4.1 was released.
https://gerrit.wikimedia.org/r/#/c/347665/ awaiting review now...

Change 364514 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/vendor@master] Update various pear/* packages

https://gerrit.wikimedia.org/r/364514

Change 347665 abandoned by Reedy:
Update pear/mail from v1.3.0 to v1.4.1

https://gerrit.wikimedia.org/r/347665

Change 364514 merged by jenkins-bot:
[mediawiki/vendor@master] Update various pear/* packages

https://gerrit.wikimedia.org/r/364514

Reedy closed this task as Resolved.Jul 16 2017, 3:29 PM
Reedy claimed this task.